#ifndef GENERATOR_HEADER
#define GENERATOR_HEADER

#include "../support/nodes.h"

void Generator(Program * program, FILE * file);

void PrintExpression(Expression * expression);
void PrintDomain(Domain * domain);
void PrintBoolean(Boolean * boolean);
void PrintIf(If * if_st);
void PrintDeclareVariable(Variable * variable);
void PrintAssignVariable(AssignVariable * variable);
void PrintPrint(Print * print_st);
void PrintWhile(While * while_st);
void PrintStatement(Statement * statement);
void PrintBlock(Block * block);

#endif
